%define upstream_name    MIME-Lite
%define upstream_version 3.033

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Low-calorie MIME generator 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(MIME::Types) >= 1.280.0
BuildRequires: perl(Mail::Address) >= 1.620.0
BuildRequires: sendmail-command
BuildArch:  noarch

%{?perl_default_filter}

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README changes.pod lib/MIME/* examples/*
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%doc COPYING INSTALLING LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.33.0-3.mga10
+ Revision: 2207249
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.33.0-2.mga9
+ Revision: 1814608
- Mageia 9 Mass Rebuild

* Mon Jun 14 2021 tv <tv> 3.33.0-1.mga9
+ Revision: 1730642
- update to 3.033

* Mon Feb 17 2020 umeabot <umeabot> 3.31.0-2.mga8
+ Revision: 1537243
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 28 2019 tv <tv> 3.31.0-1.mga8
+ Revision: 1456177
- update to 3.031

* Wed Sep 19 2018 umeabot <umeabot> 3.30.0-7.mga7
+ Revision: 1269256
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.30.0-6.mga6
+ Revision: 1029893
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.30.0-5.mga6
+ Revision: 946909
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.30.0-4.mga5
+ Revision: 742259
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.30.0-3.mga5
+ Revision: 735697
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.30.0-2.mga5
+ Revision: 685295
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 3.30.0-1.mga5
+ Revision: 588157
- update to 3.030

* Fri Oct 18 2013 umeabot <umeabot> 3.29.0-3.mga4
+ Revision: 512732
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.29.0-2.mga3
+ Revision: 369326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.29.0-1.mga3
+ Revision: 286255
- update to 3.029

* Thu Nov 10 2011 kharec <kharec> 3.28.0-1.mga2
+ Revision: 166338
- update to 3.028

* Tue Jan 18 2011 jquelin <jquelin> 3.27.0-1.mga1
+ Revision: 22620
- cleaning spec file
- imported package perl-MIME-Lite


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.27.0-1mdv2010.1
+ Revision: 461326
- update to 3.027

* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 3.26.0-1mdv2010.0
+ Revision: 444246
- update to 3.026

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 3.25.0-1mdv2010.0
+ Revision: 418410
- update to 3.025

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.024-1mdv2009.1
+ Revision: 330407
- update to new version 3.024

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.023-1mdv2009.1
+ Revision: 305749
- update to new version 3.023

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.022-1mdv2009.1
+ Revision: 299392
- update to new version 3.022

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.021-2mdv2009.0
+ Revision: 223820
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.021-1mdv2008.1
+ Revision: 115163
- new version

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.020-1mdv2008.0
+ Revision: 75283
- update to new version 3.020

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-9mdv2008.0
+ Revision: 67063
- rebuild


* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-8mdv2007.0
- %%mkrel
- spec cleanup
- better summary

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.01-7mdk
- Rebuild, cleanup, trim description

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-6mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-5mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-4mdk
- fixed dir ownership (distlint)

* Fri Aug 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.01-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

